Skip to main content
GET
https://api.owem.com.br
/
v4
/
i
/
ledger
/
extract
/
{id}
Get Generated Statement
curl --request GET \
  --url https://api.owem.com.br/v4/i/ledger/extract/{id} \
  --header 'Authorization: <authorization>'
{
  "requestId": "edfaaae5-27c3-4930-8d86-f2506fdbac38",
  "success": true,
  "size": 1,
  "data": {
    "id": "bd17bf27-1b14-490d-bcd8-ab6e679010ff",
    "status": "done",
    "format": "pdf",
    "accountId": "572471114780",
    "userId": "usr_551862c8",
    "requestedBy": "API - EMPRESA - 572471111234",
    "startDate": 1770778800000,
    "endDate": 1770951600000,
    "options": {
      "sections": {
        "summary": true,
        "monthlyTable": true,
        "monthSummary": true,
        "transactionTable": true
      },
      "columns": {
        "dateTime": true,
        "type": true,
        "description": true,
        "endToEndId": true,
        "payerReceiver": true,
        "payerBankInfo": true,
        "grossAmount": true,
        "fee": true,
        "netAmount": true,
        "status": true
      }
    },
    "reportId": "20260214_572471114780_7367e833.pdf",
    "reportUrl": "https://storage.googleapis.com/files.owem.com.br/ledger/extracts/572471114780/20260214_572471114780_7367e833.pdf?X-Goog-Algorithm=...",
    "reportPath": "ledger/extracts/572471114780/20260214_572471114780_7367e833.pdf",
    "sizeInMb": 2.134,
    "errorMessage": null,
    "createdAt": 1771077652000,
    "updatedAt": 1771088470942
  }
}

Purpose

This endpoint allows you to check the status and details of a bank statement previously requested via Generate Bank Statement. When the status is done, the reportUrl field contains the download link for the file.

Authentication

Authorization
string
required
Basic Auth required in format: Basic {Base64(API_KEY:API_SECRET)}
Requires the ledger_extract:get scope on the API Key.

Path Parameters

id
string
required
UUID of the statement returned by the creation endpoint (extractId).

Response

requestId
string
UUID for request tracking.
success
boolean
Operation status.
size
number
Number of records returned.
data
object
{
  "requestId": "edfaaae5-27c3-4930-8d86-f2506fdbac38",
  "success": true,
  "size": 1,
  "data": {
    "id": "bd17bf27-1b14-490d-bcd8-ab6e679010ff",
    "status": "done",
    "format": "pdf",
    "accountId": "572471114780",
    "userId": "usr_551862c8",
    "requestedBy": "API - EMPRESA - 572471111234",
    "startDate": 1770778800000,
    "endDate": 1770951600000,
    "options": {
      "sections": {
        "summary": true,
        "monthlyTable": true,
        "monthSummary": true,
        "transactionTable": true
      },
      "columns": {
        "dateTime": true,
        "type": true,
        "description": true,
        "endToEndId": true,
        "payerReceiver": true,
        "payerBankInfo": true,
        "grossAmount": true,
        "fee": true,
        "netAmount": true,
        "status": true
      }
    },
    "reportId": "20260214_572471114780_7367e833.pdf",
    "reportUrl": "https://storage.googleapis.com/files.owem.com.br/ledger/extracts/572471114780/20260214_572471114780_7367e833.pdf?X-Goog-Algorithm=...",
    "reportPath": "ledger/extracts/572471114780/20260214_572471114780_7367e833.pdf",
    "sizeInMb": 2.134,
    "errorMessage": null,
    "createdAt": 1771077652000,
    "updatedAt": 1771088470942
  }
}

Statement Status

StatusDescription
newRequest created, awaiting processing.
processingStatement being generated (data query, report assembly).
doneStatement generated successfully. reportUrl available for download.
failedGeneration error. Check errorMessage for details.

Status Codes

HTTPDescription
200Success
401Invalid credentials
403No permission to view the statement
404Statement not found
429Rate limit exceeded
500Internal error
We recommend polling every 3-5 seconds until the status is done or failed. Frequent polling is not necessary.
The reportUrl is a signed URL valid for 24 hours. After this period, the URL expires and you will need to generate a new statement. We recommend downloading the file (PDF/CSV) as soon as the status is done.